void RegisterStoryline(int n)
{
	ref storyline; makeref(storyline, Storylines);
	aref sl; makearef(sl, storyline.list);
	string sn = "sl" + (n + 1);
	sl.(sn).id = "JeanLafitte";
	sl.(sn).index = n;
	sl.(sn).dir = "JeanLafitte\";

	sl.(sn).start.location = "Muelle_port";
	sl.(sn).start.port = "Muelle_port";
	sl.(sn).start.model = "Buccaneer1";
	sl.(sn).start.name = "Jean";
	sl.(sn).start.lastname = "Lafitte";
	sl.(sn).start.nation = FRANCE;
	sl.(sn).start.playertype = PLAYER_TYPE_ADVENTURER;
	sl.(sn).start.difficulty = DIFFICULTY_JOURNEYMAN;
	sl.(sn).start.Flags.Pirate = 12;
	sl.(sn).start.Flags.Personal = 33;
	sl.(sn).start.ship = "US_Hannah";
	sl.(sn).start.shipname = "Goelette la Diligente";
	sl.(sn).start.date.hour = 13;
	sl.(sn).start.date.min = 20;
	sl.(sn).start.date.sec = 33;
	sl.(sn).start.date.day = 15;
	sl.(sn).start.date.month = 3;
	sl.(sn).start.date.year = 1813;
	sl.(sn).start.freeplay = true; // PB
	sl.(sn).start.changing_relations = true; // PB
	sl.(sn).start.freedom_level = 0; // PB: Free play ONLY

	switch (LanguageGetLanguage())
	{
		// default:
			sl.(sn).title = "The Buccaneer";
			sl.(sn).description = "A French privateer in service of the United States arrives in a Spanish port. But will you expand the might of the Americas in the Caribbean or join forces with one of the other nations? And how long will you be able to resist the lure of piracy?";
	}
	AddStorylineVar(n, "CHANGING_RELATIONS", "1");	// PB: Changing Relations always on
	AddStorylineVar(n, "ISLA_DE_MUERTE", "1");		// PB: Curse in effect and can visit Isla de Muerte
}
