void RegisterStoryline(int n)
{
	ref storyline; makeref(storyline, Storylines);
	aref sl; makearef(sl, storyline.list);
	string sn = "sl" + (n + 1);
	sl.(sn).id = "LaCroix";
	sl.(sn).index = n;
	sl.(sn).dir = "LaCroix\";

	sl.(sn).start.location = "Cuba_Shore_03";
	sl.(sn).start.location.lock = true;
	sl.(sn).start.port = "Cuba_Port";
	sl.(sn).start.model = "LaCroix";
	sl.(sn).start.name = "Jean";
	sl.(sn).start.lastname = "de la Croix";
	sl.(sn).start.nation = FRANCE;
	sl.(sn).start.playertype = PLAYER_TYPE_SOCIAL_CLIMBER;
	sl.(sn).start.difficulty = DIFFICULTY_JOURNEYMAN;
	sl.(sn).start.Flags.Pirate = 3
	sl.(sn).start.Flags.Personal = 3;
	sl.(sn).start.ship = "Schooner2";
	sl.(sn).start.shipname = "Le Cheval Furieux";
	sl.(sn).start.date.hour = 20;
	sl.(sn).start.date.min = 24;
	sl.(sn).start.date.sec = 42;
	sl.(sn).start.date.day = 1;
	sl.(sn).start.date.month = 3;
	sl.(sn).start.date.year = 1690; // was 1664
	sl.(sn).start.freedom_level = 1; // PB: Scripted opening, but free play available

	switch (LanguageGetLanguage())
	{
		// default:
			sl.(sn).title = "Tales of a Chevalier";
			sl.(sn).description = "A French nobleman in search of ways to repay his gambling debts.";
	}
	AddStorylineVar(n, "HAVANA_NO_PRISONERS", "1");	// PB: Disable unwanted characters
	AddStorylineVar(n, "CHANGING_RELATIONS", "1");	// PB: Changing Relations always on
	AddStorylineVar(n, "ISLA_DE_MUERTE", "1");		// PB: Curse in effect and can visit Isla de Muerte
}
